%define name kwintv
%define version 0.7.3
%define release 1mdk
%define kdeprefix /usr

Name: %{name}
Summary: kWinTV - KDE Video4Linux Stream Capture Viewer
Version: %{version}
Release: %{release}
Copyright: GPL
Source: ftp://www.mathematik.uni-kl.de/pub/Sources/misc/programs/%{name}-%{version}.tar.bz2
Group: X11/KDE/Applications
URL: http://www.mathematik.uni-kl.de/~wenk/kwintv/
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: qt >= 1.44
Prereq: /usr/sbin/chkfontpath

%description
KWinTV allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xtvscreen which is included
in the bttv-driver package, but it is is based on Qt and integrated
in KDE.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%build
if [ ! -c /dev/video0 ]; then
	./MAKEDEV
fi
export KDEDIR=%{kdeprefix}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT
make

%install
rm -rf $RPM_BUILD_ROOT
make R="$RPM_BUILD_ROOT" install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's|^\.|\%attr(-,root,root) |' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%post
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/kwintv
cd /usr/X11R6/lib/X11/fonts/kwintv
mkfontdir
xset fp rehash || true

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/kwintv
fi

%files -f ../file.list.%{name}

%changelog
* Thu Aug 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial SPEC file for Mandrake.
- Please test! I do not have such a device!!!
